.svp-tmpl-wrapper > div {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.svp-main {
  margin: 0;
  flex: 1 1 100%;
  padding: 0 var(--svp-site-container-padding-mobile) 1em;
}

@media (min-width: 1024px) {
  .svp-main {
    padding: 0 var(--svp-site-container-padding-desktop) 1em;
  }
}

.svp-container {
  box-sizing: border-box;
  position: relative;
  width: 100%;
  max-width: var(--svp-site-max-width);
  margin: 0 auto;
}

.svp-container--small {
  max-width: var(--svp-site-10col-width);
}

.svp-header {
  padding: 1em var(--svp-site-container-padding-mobile) 1em;
  background-color: var(--svp-header-background-color);
  border-bottom: var(--svp-header-border-bottom);
}

@media (min-width: 1024px) {
  .svp-header {
    padding: 1em var(--svp-site-container-padding-desktop) 1em;
  }
}

.svp-header .svp-container {
  display: grid;
  grid-template-columns: var(--svp-header-logo-width) 1fr fit-content(100%);
  grid-template-areas: "logo menu tools";
  gap: calc(var(--svp-layout-grid-gap) / 2);
  align-items: center;
  justify-content: space-between;
}

@media (max-width: 1024px) {
  .svp-header .svp-container {
    grid-template-columns: calc(var(--svp-header-logo-width) * 0.75) fit-content(100%);
    grid-template-areas: "logo tools  ";
  }
}

.svp-header:has(.svp-subsite-logo) .svp-container {
  grid-template-columns: fit-content(100%) 1fr fit-content(100%);
}

@media (max-width: 1024px) {
  .svp-header:has(.svp-subsite-logo) .svp-container {
    grid-template-columns: fit-content(100%) fit-content(100%);
  }
}

.svp-header__logo {
  grid-area: logo;
}

.svp-header__menu {
  grid-area: menu;
  --env-link-font-color: var(--svp-header-font-color);
  --env-link-hover-font-color: var(--svp-header-font-color);
}

.svp-header__menu .env-nav {
  max-width: 100%;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.svp-header__menu .env-nav__link {
  font-size: var(--svp-header-link-font-size);
  font-weight: var(--svp-header-link-font-weight);
  line-height: 1.2;
  padding: 0 0.5em;
  border: none !important;
  color: var(--svp-header-link-font-color) !important;
  -webkit-text-decoration: var(--svp-header-link-text-decoration) !important;
          text-decoration: var(--svp-header-link-text-decoration) !important;
}

.svp-header__menu .env-nav__link:hover, .svp-header__menu .env-nav__link:focus {
  color: var(--svp-header-link-hover-font-color) !important;
  -webkit-text-decoration: var(--svp-header-link-hover-text-decoration) !important;
          text-decoration: var(--svp-header-link-hover-text-decoration) !important;
}

@media (max-width: 1024px) {
  .svp-header__menu {
    display: none;
  }
}

.svp-header__tools {
  grid-area: tools;
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-end;
  gap: 1em;
  row-gap: 0.5em;
}

.svp-header__tools .env-button--icon-before {
  font-size: 0.875em;
  background-color: var(--svp-header-button-background-color);
  border-color: var(--svp-header-button-background-color);
  color: var(--svp-header-button-font-color);
  padding: 0 0.5em 0 2em;
}

.svp-header__tools .env-button--icon-before:hover, .svp-header__tools .env-button--icon-before:focus {
  background-color: var(--svp-header-button-hover-background-color);
  border-color: var(--svp-header-button-hover-background-color);
  color: var(--svp-header-button-font-color);
}

.svp-header__tools .env-button--icon-before:active {
  background-color: var(--svp-header-button-background-color);
  border-color: var(--svp-header-button-hover-background-color);
  color: var(--svp-header-button-font-color);
}

.svp-header__tools .env-button--icon-before .env-icon {
  left: 0.5em;
}

.svp-footer {
  margin: 4em 0 0; 
  padding: 3em var(--svp-site-container-padding-mobile) 5em;
}

@media (min-width: 1024px) {
  .svp-footer {
    padding: 3em var(--svp-site-container-padding-desktop) 5em;
  }
}

.svp-aside-block {
  padding: 2em;
}

@container (max-width: 400px) {
  .svp-aside-block {
    padding: 1em;
  }
}

.svp-brand-container-10 {
  background-color: var(--env-ui-color-brand-10);
  margin-left: calc(var(--svp-site-container-padding-mobile) * -1);
  margin-right: calc(var(--svp-site-container-padding-mobile) * -1);
  padding-left: var(--svp-site-container-padding-mobile);
  padding-right: var(--svp-site-container-padding-mobile);
}

@media (min-width: 1024px) {
  .svp-brand-container-10 {
    margin-left: calc(var(--svp-site-container-padding-desktop) * -1);
    margin-right: calc(var(--svp-site-container-padding-desktop) * -1);
    padding-left: var(--svp-site-container-padding-desktop);
    padding-right: var(--svp-site-container-padding-desktop);
  }
}

.svp-brand-container-15 {
  background-color: var(--env-ui-color-brand-15);
  margin-left: calc(var(--svp-site-container-padding-mobile) * -1);
  margin-right: calc(var(--svp-site-container-padding-mobile) * -1);
  padding-left: var(--svp-site-container-padding-mobile);
  padding-right: var(--svp-site-container-padding-mobile);
  padding-top: 3em;
  padding-bottom: 3em;
}

@media (min-width: 1024px) {
  .svp-brand-container-15 {
    margin-left: calc(var(--svp-site-container-padding-desktop) * -1);
    margin-right: calc(var(--svp-site-container-padding-desktop) * -1);
    padding-left: var(--svp-site-container-padding-desktop);
    padding-right: var(--svp-site-container-padding-desktop);
  }
}
